#ifndef ARCH_DISKDUMPELF_H
#define ARCH_DISKDUMPELF_H

/* $Id: diskdumpelf.h,v 1.2 2005/05/19 20:28:44 akira Exp $ */

typedef unsigned long elf_greg_t;

struct user_regs_struct {
	long ebx, ecx, edx, esi, edi, ebp, eax;
	unsigned short ds, __ds, es, __es;
	unsigned short fs, __fs, gs, __gs;
	long orig_eax, eip;
	unsigned short cs, __cs;
	long eflags, esp;
	unsigned short ss, __ss;
};

#define ELF_NGREG (sizeof (struct user_regs_struct) / sizeof(elf_greg_t))
typedef elf_greg_t elf_gregset_t[ELF_NGREG];

#define MACHINE_TYPE	EM_386
#define ELF_CLASS	ELFCLASS32
#define PAGE_OFFSET	0xc0000000

#define FORCE_SINGLE_PTLOAD

#endif /* ARC_DISKDUMPELF_H */
